%{?nodejs_find_provides_and_requires}

%global enable_tests 1

Name:           nodejs-globule
Version:        0.2.0
Release:        6%{?dist}
Summary:        An easy-to-use wildcard globbing library for Node.js

License:        MIT
Group:          System Environment/Libraries
URL:            https://github.com/cowboy/node-globule
Source0:        https://registry.npmjs.org/globule/-/globule-%{version}.tgz
# https://github.com/cowboy/node-globule/pull/22
Patch0:         nodejs-globule-lodash3.patch

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  npm(nodeunit)
BuildRequires:  npm(glob)
BuildRequires:  npm(lodash)
%endif

%description
%{summary}.


%prep
%autosetup -p 1 -n package
%nodejs_fixdep glob "^6.0.3"
%nodejs_fixdep minimatch "^3.0.0"


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/globule
cp -pr package.json lib/ \
    %{buildroot}%{nodejs_sitelib}/globule
%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
%{nodejs_sitelib}/nodeunit/bin/nodeunit test/globule_test.js
%endif


%files
%{!?_licensedir:%global license %doc}
%doc README.md
%license LICENSE-MIT
%{nodejs_sitelib}/globule


%changelog
* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Jan  1 2016 Tom Hughes <tom@compton.nu> - 0.2.0-5
- Update npm(glob) dependency
- Update npm(minimatch) dependency

* Tue Dec 15 2015 Tom Hughes <tom@compton.nu> - 0.2.0-4
- Update npm(lodash) dependency
- Enable tests

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed Aug 28 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.1.0-1
- initial package
